$('.header_con .title').html('设置');
$('#setting_loginInfo').hide();
$('#connect_our').hide();
mui.plusReady(function() {
	var token = localStorage.getItem('token');
	mui('.block').on('tap', '.row', function() {
		var url = $(this).attr('id');
		mui.openWindow({
			url: url + '.html',
			id: url + '.html',
			styles: {
				top: '0px', //新页面顶部位置
				bottom: '0px', //新页面底部位置
				width: '100%', //新页面宽度，默认为100%
				height: '100%' //新页面高度，默认为100%
			},
			extras: {
				//						data_href: data_href
				//					..... //自定义扩展参数，可以用来处理页面间传值
			},
			createNew: false, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
			show: {
				//					autoShow: true, //页面loaded事件发生后自动显示，默认为true
				//					aniShow: animationType, //页面显示动画，默认为”slide-in-right“；
				//					duration: animationTime, //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
				//					event: 'titleUpdate', //页面显示时机，默认为titleUpdate事件时显示
				//					extras: {} //窗口动画是否使用图片加速
			},
			waiting: {
				autoShow: true, //自动显示等待框，默认为true
				title: '正在加载...', //等待对话框上显示的提示内容
				options: {
					//						width: waiting - dialog - widht, //等待框背景区域宽度，默认根据内容自动计算合适宽度
					//						height: waiting - dialog - height, //等待框背景区域高度，默认根据内容自动计算合适高度
					//						......
				}
			}
		})
	})
	$('.loginout').on('tap', function() {
		////console.log(111)
		mui.ajax(qlgUrl('app/users/logout'), { 
			headers: { 
				"HYH-Token": token
			},
			data: {},
			dataType: 'json', //服务器返回json格式数据  
			type: 'post', //HTTP请求类型  
			timeout: 10000, //超时时间设置为10秒；  
			success: function(data) {           //服务器返回响应，根据响应结果，分析是否登录成功；  
				//					//console.log(data.data.goodsFavoritesNum)
				localStorage.removeItem("token");
				mui.fire(plus.webview.getWebviewById('templete/my.html'), 'refresh');
				mui.fire(plus.webview.getWebviewById('templete/shoppingcart.html'), 'refresh');
				mui.back();
				var data = toJson(data, 1);
				if(data.status == 1) {

				}

			},
			error: function(xhr, type, errorThrown) {           //异常处理；  
				//												mui.alert(type);      
			}  
		}); 
	})
})